import {defineStore} from 'pinia';
import {store} from '@/store';

export interface IDomain{
    domain: string[]
}

export const domainStore = defineStore({
    id: 'domain',
    state: (): IDomain => ({
        domain: []
    }),
    getters:{
        getDomain(): string[] {
            return this.domain
        }
    },
    actions: {
        // async setDomain() {
        //     let response = await getDomainList();
        //     if (response && response.data) {
        //         this.domain = response.data.split(',')
        //     }
        //     // getDomainList().then(response => {
        //     //     if(response && response.data){
        //     //         this.domain = response.data.split(',')
        //     //     }
        //     // })
        // },
        setDomain(domain: string[]): void {
            this.domain = domain
        },
        // refreshDomain(){
        //     if(!this.domain || this.domain.length == 0){
        //         this.setDomain().then()
        //     }
        // }
    }
})

export function domainStoreWidthOut() {
    return domainStore(store);
}
